<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8" />
  <title>ITEA-JS ADVANCED - LESSON 2: CLASSWORK 2</title>
  <link rel="stylesheet" href="css/style.min.css" />
</head>
<body>
  <div class="wrap">
    <div class="testBlock hover">
      <button class="iButton" id="mouseHover">Наведи</button>
      <ul id="hoverResult" class="resultBlock">
      </ul>
    </div>

    <div class="testBlock click">
      <button class="iButton" id="mouseClick">Нажми левой кнопкой мышки</button>
      <div id="clickResult" class="resultBlock one two three four five six"></div>
    </div>

    <div class="testBlock context">
      <button class="iButton" id="mouseContext">Вызови контекстное меню</button>
      <div id="contextResult" class="resultBlock"></div>
    </div>

    <div class="testBlock keyboard">
      <button class="iButton" id="keyboardButton">Нажми на клавиатуре</button>
      <div id="keyboardResult" class="resultBlock"></div>
    </div>

  </div>

  <script>
    /*

      Поработаем немного с ивентами:
      onmouseenter
      onclick
      oncontextmenu
      onkeydown

      Задание:
      На каждую из конопок назначить действие которое будет выполнять следующее действие:
      1.На ховер(onmouseenter) повесить обработчик который будет при каждом наведении
        на кнопку будет выводить в блок результатом елемент li с текстом "hovered!"
        у которого будет один из следующих класов:
        red blue green orange purple

      2.На кнопку клика(onclick) повесить обработчик который будет удалять классы с
        блока с результатом по очереди в таком порядке:

        six > two > three > four > one > five

        после того как блок окажется пустым, добавить их в порядке возрастания

        one > two > three ... > six

      3.На кнопку контекстного меню (oncontextmenu) повесить обработчик который в блок
        для результата выведет блок со списком меню используя следующий шаблон:

        <a href="http://google.com.ua">Google</a>
        <a href="http://itea.ua/">ITEA</a>
        <a href="https://www.youtube.com/">Youtube</a>

        для запрета вызова контектстного меню, нужно в функцию обработчик передать событие
        element.onevent = function(e){...}
        и вызвать внутри этой функции из этой переменной
        e.preventDefault(); <- Отмена действия по умолчанию

        Повтороное кажатие на эту кнопку правой или левой кнопкой мыши должно очистить блок.

      4. На кнопку с обработчиком нажатия (onkeydown) повесить обработчик который будет
        Выводить число нажатий на любую из клавиш клавиатуры


    */

    var mouseHover = document.getElementById('mouseHover');
    var mouseClick = document.getElementById('mouseClick');
    var mouseContext = document.getElementById('mouseContext');
    var keyboardButton = document.getElementById('keyboardButton');

    mouseHover.onmouseenter = function(){
      console.log('hover');
      var el = document.getElementById('hoverResult');
      var newEl = document.createElement('li');
      var arr = ['red', 'blue', 'green', 'orange', 'purple'];
      var i = Math.floor(Math.random() * arr.length);
      var rand = arr[i];
      console.log(i);
      console.log(rand);
      newEl.className = rand;
      newEl.innerHTML = 'Hovered!';
      el.appendChild(newEl);
    }

    var clickIndex = 0;
    var direction = true;

    mouseClick.onclick = function(){
        console.log('click');
      var el = document.getElementById('clickResult');

      if(direction){
        var arr = ['six', 'two', 'three', 'four', 'one', 'five'];
        var rand = arr[clickIndex];
        clickIndex++;
        el.classList.remove(rand);
      }
      else{
        var arr = ['one', 'two', 'three', 'four', 'five', 'six'];
        var rand = arr[clickIndex];
        clickIndex++;
        el.classList.add(rand);
      }

      if(clickIndex > 5){
        clickIndex = 0;
        direction = !direction;
      }
    }

    var elA1 = document.createElement('a');
      elA1.href = "http://google.com.ua";
      elA1.innerHTML = 'Google';

    var elA2 = document.createElement('a');
      elA2.href = "http://itea.ua/";
      elA2.innerHTML = 'ITEA';

    var elA3 = document.createElement('a');
      elA3.href = "https://www.youtube.com/";
      elA3.innerHTML = 'Youtube';


    var showContext = false;
    mouseContext.oncontextmenu = function(e){
        e.preventDefault();
        console.log('context');

      var el = document.getElementById('contextResult')

      if(!showContext) {
        el.appendChild(elA1);
        el.appendChild(elA2);
        el.appendChild(elA3);
      }
      else{
        el.removeChild(elA1);
        el.removeChild(elA2);
        el.removeChild(elA3);
      }

     showContext = !showContext;
    }

    var counter = 0;
    keyboardButton.onkeydown = function(){
        console.log('keydown');

        var el = document.getElementById('keyboardResult');

        counter++;
        el.innerHTML = counter;
    }
  </script>
</body>
</html>
